[Mellanox]Update the hw-mgmt patch for simx on V.7.0000.2308 (#3957)
* [Mellanox/hw-mgmt] Update the hw-mgmt patch for simx on V.7.0000.2308 * removing the extra "[PATCH]"
This commit is contained in:
parent
df04809cb8
commit
04b9113410
@ -1,53 +1,53 @@
|
|||||||
From 051938b7c49cc18aaddd699939353f591554d635 Mon Sep 17 00:00:00 2001
|
From c6ee8c86c35f8b1e60bf4df0d7198f349f8552c1 Mon Sep 17 00:00:00 2001
|
||||||
From: Mykola Faryma <mykolaf@mellanox.com>
|
From: Stephen Sun <stephens@mellanox.com>
|
||||||
Date: Wed, 3 Apr 2019 14:09:26 +0000
|
Date: Wed, 25 Dec 2019 19:33:17 +0800
|
||||||
Subject: [PATCH] Make hw-mgmt SimX compatiable.
|
Subject: [PATCH] Make hw-mgmt SimX compatiable.
|
||||||
|
|
||||||
Signed-off-by: Mykola Faryma <mykolaf@mellanox.com>
|
Signed-off-by: Stephen Sun <stephens@mellanox.com>
|
||||||
---
|
---
|
||||||
usr/usr/bin/hw-management.sh | 29 +++++++++++++++++++++++++++++
|
usr/usr/bin/hw-management.sh | 29 +++++++++++++++++++++++++++++
|
||||||
1 file changed, 29 insertions(+)
|
1 file changed, 29 insertions(+)
|
||||||
|
|
||||||
diff --git a/usr/usr/bin/hw-management.sh b/usr/usr/bin/hw-management.sh
|
diff --git a/usr/usr/bin/hw-management.sh b/usr/usr/bin/hw-management.sh
|
||||||
index fdb3013..68da9bc 100755
|
index cff10fe..0511c7c 100755
|
||||||
--- a/usr/usr/bin/hw-management.sh
|
--- a/usr/usr/bin/hw-management.sh
|
||||||
+++ b/usr/usr/bin/hw-management.sh
|
+++ b/usr/usr/bin/hw-management.sh
|
||||||
@@ -646,6 +646,35 @@ do_chip_down()
|
@@ -737,6 +737,35 @@ do_chip_down()
|
||||||
/usr/bin/hw-management-thermal-events.sh change hotplug_asic down %S %p
|
/usr/bin/hw-management-thermal-events.sh change hotplug_asic down %S %p
|
||||||
}
|
}
|
||||||
|
|
||||||
+handle_simx()
|
+handle_simx()
|
||||||
+{
|
+{
|
||||||
+ local -r onie_platform="$(cat /host/machine.conf | grep onie_platform | cut -d= -f2)"
|
+ local -r onie_platform="$(cat /host/machine.conf | grep onie_platform | cut -d= -f2)"
|
||||||
+
|
+
|
||||||
+ local -r syseeprom_cache_path="/var/cache/sonic/decode-syseeprom/syseeprom_cache"
|
+ local -r syseeprom_cache_path="/var/cache/sonic/decode-syseeprom/syseeprom_cache"
|
||||||
+ local -r syseeprom_hex_path="/usr/share/sonic/device/${onie_platform}/syseeprom.hex"
|
+ local -r syseeprom_hex_path="/usr/share/sonic/device/${onie_platform}/syseeprom.hex"
|
||||||
+ local -r syseeprom_vpd_path="/var/run/hw-management/eeprom/vpd_info"
|
+ local -r syseeprom_vpd_path="/var/run/hw-management/eeprom/vpd_info"
|
||||||
+
|
+
|
||||||
+ case $ACTION in
|
+ case $ACTION in
|
||||||
+ start)
|
+ start)
|
||||||
+ /bin/bash -c "/bin/rm -f ${syseeprom_cache_path}"
|
+ /bin/bash -c "/bin/rm -f ${syseeprom_cache_path}"
|
||||||
+ /bin/bash -c "/bin/mkdir -p ${eeprom_path}"
|
+ /bin/bash -c "/bin/mkdir -p ${eeprom_path}"
|
||||||
+ /bin/bash -c "/usr/bin/xxd -r -p ${syseeprom_hex_path} ${syseeprom_vpd_path}"
|
+ /bin/bash -c "/usr/bin/xxd -r -p ${syseeprom_hex_path} ${syseeprom_vpd_path}"
|
||||||
+ ;;
|
+ ;;
|
||||||
+ stop)
|
+ stop)
|
||||||
+ /bin/bash -c "/bin/rm -fr ${hw_management_path}"
|
+ /bin/bash -c "/bin/rm -fr ${hw_management_path}"
|
||||||
+ ;;
|
+ ;;
|
||||||
+ *)
|
+ *)
|
||||||
+ echo "Usage: `basename $0` {start|stop}"
|
+ echo "Usage: `basename $0` {start|stop}"
|
||||||
+ exit 1
|
+ exit 1
|
||||||
+ ;;
|
+ ;;
|
||||||
+ esac
|
+ esac
|
||||||
+}
|
+}
|
||||||
+
|
+
|
||||||
+if [[ "$(cat /sys/devices/virtual/dmi/id/chassis_vendor)" = "QEMU" ]]; then
|
+if [[ "$(cat /sys/devices/virtual/dmi/id/chassis_vendor)" = "QEMU" ]]; then
|
||||||
+ handle_simx
|
+ handle_simx
|
||||||
+ exit 0
|
+ exit 0
|
||||||
+fi
|
+fi
|
||||||
+
|
+
|
||||||
case $ACTION in
|
case $ACTION in
|
||||||
start)
|
start)
|
||||||
do_start
|
if [ -d /var/run/hw-management ]; then
|
||||||
--
|
--
|
||||||
1.9.1
|
1.9.1
|
||||||
|
|
||||||
|
Reference in New Issue
Block a user